PHP ��U
前一頁 |  | 下一頁

# ftp_fget

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

ftp_fget -- Downloads a file from the FTP server and saves to an open file

## Description

bool ftp_fget ( resource ftp_stream, resource handle, string remote_file, int mode [, int resumepos] )

ftp_fget() retrieves remote_file from the FTP server, and writes it to the given file pointer.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

handle

  An open file pointer in which we store the data.

remote_file

  The remote file path.

mode

  The transfer mode. Must be either `FTP_ASCII` or `FTP_BINARY`.

resumepos

  The position in the remote file to start downloading from.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. ftp_fget() example

`<?php
// path to remote file
$remote_file = 'somefile.txt';
$local_file = 'localfile.txt';
// open some file to write to
$handle = fopen($local_file, 'w');
// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// try to download $remote_file and save it to $handle
if (ftp_fget($conn_id, $handle, $remote_file, FTP_ASCII, 0)) {
echo "successfully written to $local_file\n";
} else {
echo "There was a problem while downloading $remote_file to $local_file\n";
}
// close the connection and the file handler
ftp_close($conn_id);
fclose($handle);
?>`

## ChangeLog

Version | Description
--- | ---
4.3.0 | resumepos was added.

## �Ѧ�

ftp_get()
ftp_nb_get()
ftp_nb_fget()

前一頁 | 內容 | 下一頁
ftp_exec | 上一層 | ftp_fput